<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:19 PST 2021 -->
<title>ArcInputFormat (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ArcInputFormat (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ArcInputFormat.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/nutch/tools/arc/ArcRecordReader.html" title="class in org.apache.nutch.tools.arc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/tools/arc/ArcInputFormat.html" target="_top">Frames</a></li>
<li><a href="ArcInputFormat.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.apache.hadoop.mapreduce.lib.input.FileInputFormat">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.hadoop.mapreduce.lib.input.FileInputFormat">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.tools.arc</div>
<h2 title="Class ArcInputFormat" class="title">Class ArcInputFormat</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/InputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">org.apache.hadoop.mapreduce.InputFormat</a>&lt;K,V&gt;</li>
<li>
<ul class="inheritance">
<li><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.input">org.apache.hadoop.mapreduce.lib.input.FileInputFormat</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/BytesWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io">BytesWritable</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.tools.arc.ArcInputFormat</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ArcInputFormat</span>
extends <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.input">FileInputFormat</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/BytesWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io">BytesWritable</a>&gt;</pre>
<div class="block">A input format the reads arc files.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.apache.hadoop.mapreduce.lib.input.FileInputFormat">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.apache.hadoop.mapreduce.lib.input.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.input">FileInputFormat</a></h3>
<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.Counter.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.input">FileInputFormat.Counter</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.hadoop.mapreduce.lib.input.FileInputFormat">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.apache.hadoop.mapreduce.lib.input.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.input">FileInputFormat</a></h3>
<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#DEFAULT_LIST_STATUS_NUM_THREADS" title="class or interface in org.apache.hadoop.mapreduce.lib.input">DEFAULT_LIST_STATUS_NUM_THREADS</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#INPUT_DIR" title="class or interface in org.apache.hadoop.mapreduce.lib.input">INPUT_DIR</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#INPUT_DIR_NONRECURSIVE_IGNORE_SUBDIRS" title="class or interface in org.apache.hadoop.mapreduce.lib.input">INPUT_DIR_NONRECURSIVE_IGNORE_SUBDIRS</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#INPUT_DIR_RECURSIVE" title="class or interface in org.apache.hadoop.mapreduce.lib.input">INPUT_DIR_RECURSIVE</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#LIST_STATUS_NUM_THREADS" title="class or interface in org.apache.hadoop.mapreduce.lib.input">LIST_STATUS_NUM_THREADS</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#NUM_INPUT_FILES" title="class or interface in org.apache.hadoop.mapreduce.lib.input">NUM_INPUT_FILES</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#PATHFILTER_CLASS" title="class or interface in org.apache.hadoop.mapreduce.lib.input">PATHFILTER_CLASS</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#SPLIT_MAXSIZE" title="class or interface in org.apache.hadoop.mapreduce.lib.input">SPLIT_MAXSIZE</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#SPLIT_MINSIZE" title="class or interface in org.apache.hadoop.mapreduce.lib.input">SPLIT_MINSIZE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/tools/arc/ArcInputFormat.html#ArcInputFormat--">ArcInputFormat</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/RecordReader.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">RecordReader</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/BytesWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io">BytesWritable</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/tools/arc/ArcInputFormat.html#createRecordReader-org.apache.hadoop.mapreduce.InputSplit-org.apache.hadoop.mapreduce.TaskAttemptContext-">createRecordReader</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/InputSplit.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">InputSplit</a>&nbsp;split,
                  <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/TaskAttemptContext.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">TaskAttemptContext</a>&nbsp;context)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/RecordReader.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">RecordReader</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/BytesWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io">BytesWritable</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/tools/arc/ArcInputFormat.html#getRecordReader-org.apache.hadoop.mapreduce.InputSplit-org.apache.hadoop.mapreduce.Job-org.apache.hadoop.mapreduce.Mapper.Context-">getRecordReader</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/InputSplit.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">InputSplit</a>&nbsp;split,
               <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Job.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">Job</a>&nbsp;job,
               <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Mapper.Context.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">Mapper.Context</a>&nbsp;context)</code>
<div class="block">Returns the <code>RecordReader</code> for reading the arc file.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.hadoop.mapreduce.lib.input.FileInputFormat">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.hadoop.mapreduce.lib.input.<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce.lib.input">FileInputFormat</a></h3>
<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#addInputPath-org.apache.hadoop.mapreduce.Job-org.apache.hadoop.fs.Path-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">addInputPath</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#addInputPathRecursively-java.util.List-org.apache.hadoop.fs.FileSystem-org.apache.hadoop.fs.Path-org.apache.hadoop.fs.PathFilter-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">addInputPathRecursively</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#addInputPaths-org.apache.hadoop.mapreduce.Job-java.lang.String-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">addInputPaths</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#computeSplitSize-long-long-long-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">computeSplitSize</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#getBlockIndex-org.apache.hadoop.fs.BlockLocation:A-long-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">getBlockIndex</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#getFormatMinSplitSize--" title="class or interface in org.apache.hadoop.mapreduce.lib.input">getFormatMinSplitSize</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#getInputDirRecursive-org.apache.hadoop.mapreduce.JobContext-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">getInputDirRecursive</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#getInputPathFilter-org.apache.hadoop.mapreduce.JobContext-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">getInputPathFilter</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#getInputPaths-org.apache.hadoop.mapreduce.JobContext-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">getInputPaths</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#getMaxSplitSize-org.apache.hadoop.mapreduce.JobContext-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">getMaxSplitSize</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#getMinSplitSize-org.apache.hadoop.mapreduce.JobContext-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">getMinSplitSize</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#getSplits-org.apache.hadoop.mapreduce.JobContext-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">getSplits</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#isSplitable-org.apache.hadoop.mapreduce.JobContext-org.apache.hadoop.fs.Path-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">isSplitable</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#listStatus-org.apache.hadoop.mapreduce.JobContext-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">listStatus</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#makeSplit-org.apache.hadoop.fs.Path-long-long-java.lang.String:A-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">makeSplit</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#makeSplit-org.apache.hadoop.fs.Path-long-long-java.lang.String:A-java.lang.String:A-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">makeSplit</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#setInputDirRecursive-org.apache.hadoop.mapreduce.Job-boolean-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">setInputDirRecursive</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#setInputPathFilter-org.apache.hadoop.mapreduce.Job-java.lang.Class-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">setInputPathFilter</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#setInputPaths-org.apache.hadoop.mapreduce.Job-org.apache.hadoop.fs.Path...-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">setInputPaths</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#setInputPaths-org.apache.hadoop.mapreduce.Job-java.lang.String-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">setInputPaths</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#setMaxInputSplitSize-org.apache.hadoop.mapreduce.Job-long-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">setMaxInputSplitSize</a>, <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/lib/input/FileInputFormat.html?is-external=true#setMinInputSplitSize-org.apache.hadoop.mapreduce.Job-long-" title="class or interface in org.apache.hadoop.mapreduce.lib.input">setMinInputSplitSize</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ArcInputFormat--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ArcInputFormat</h4>
<pre>public&nbsp;ArcInputFormat()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createRecordReader-org.apache.hadoop.mapreduce.InputSplit-org.apache.hadoop.mapreduce.TaskAttemptContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createRecordReader</h4>
<pre>public&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/RecordReader.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">RecordReader</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/BytesWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io">BytesWritable</a>&gt;&nbsp;createRecordReader(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/InputSplit.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">InputSplit</a>&nbsp;split,
                                                           <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/TaskAttemptContext.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">TaskAttemptContext</a>&nbsp;context)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/InputFormat.html?is-external=true#createRecordReader-org.apache.hadoop.mapreduce.InputSplit-org.apache.hadoop.mapreduce.TaskAttemptContext-" title="class or interface in org.apache.hadoop.mapreduce">createRecordReader</a></code>&nbsp;in class&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/InputFormat.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">InputFormat</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/BytesWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io">BytesWritable</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getRecordReader-org.apache.hadoop.mapreduce.InputSplit-org.apache.hadoop.mapreduce.Job-org.apache.hadoop.mapreduce.Mapper.Context-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRecordReader</h4>
<pre>public&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/RecordReader.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">RecordReader</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/BytesWritable.html?is-external=true" title="class or interface in org.apache.hadoop.io">BytesWritable</a>&gt;&nbsp;getRecordReader(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/InputSplit.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">InputSplit</a>&nbsp;split,
                                                        <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Job.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">Job</a>&nbsp;job,
                                                        <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/mapreduce/Mapper.Context.html?is-external=true" title="class or interface in org.apache.hadoop.mapreduce">Mapper.Context</a>&nbsp;context)
                                                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Returns the <code>RecordReader</code> for reading the arc file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>split</code> - The InputSplit of the arc file to process.</dd>
<dd><code>job</code> - The job configuration.</dd>
<dd><code>context</code> - The task context.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ArcInputFormat.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/nutch/tools/arc/ArcRecordReader.html" title="class in org.apache.nutch.tools.arc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/tools/arc/ArcInputFormat.html" target="_top">Frames</a></li>
<li><a href="ArcInputFormat.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.apache.hadoop.mapreduce.lib.input.FileInputFormat">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.hadoop.mapreduce.lib.input.FileInputFormat">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
